using Decimation.Content.Tiles;
using Decimation.Lib.Items;
using Decimation.Lib.Util;
using Terraria.ID;
using Terraria.ModLoader;

namespace Decimation.Content.Items.Ores
{
    internal class TitaniteBar : DecimationItem
    {
        protected override string ItemName => "Titanite Bar";
        protected override string ItemTooltip => "Pulsating with titan-like strength.";

        protected override void Init()
        {
            item.width = 20;
            item.height = 20;
            item.rare = Rarity.Orange.GetRarityValue();
        }

        protected override ModRecipe GetRecipe()
        {
            ModRecipe recipe = GetNewModRecipe(this, 1, ModContent.TileType<TitanForge>());

            recipe.AddIngredient(ItemID.AdamantiteBar);
            recipe.AddIngredient(ItemID.TitaniumBar);

            return recipe;
        }
    }
}